Package org.opensaml.soap.wstrust.impl

# Class CodeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSURIImpl
org.opensaml.soap.wstrust.impl.CodeImpl

All Implemented Interfaces:
  `XSURI`, `XMLObject`, `Code`, `WSTrustObject`

public class CodeImpl extends XSURIImpl implements Code
CodeImpl.

## Field Summary

### Fields inherited from interface org.opensaml.soap.wstrust.Code

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, INVALID, TYPE_LOCAL_NAME, TYPE_NAME, VALID`

### Fields inherited from interface org.opensaml.core.xml.schema.XSURI

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`CodeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSURIImpl

`getOrderedChildren, getURI, setURI`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Constructor Details

### CodeImpl

public CodeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element